Bug 975044 - customer_database_test fails on big-endian arches
customer_database_test fails on big-endian arches
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cmocka (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-06-17 09:40 EDT by Dan Horák
Modified: 2013-07-22 21:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: cmocka-0.3.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 21:02:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test log (12.77 KB, text/x-log)
2013-06-17 11:16 EDT, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2013-06-17 09:40:42 EDT
The customer_database_test fails on big-endian arches like ppc and s390x. Not sure now if it's both 32-bit and 64-bit or 64-bit only, but I'll add more details later. Let me know if you need access to big endian hardware.

Version-Release number of selected component (if applicable):
cmocka-0.3.0-1.fc19
Comment 1 Dan Horák 2013-06-17 09:41:54 EDT
from build.log at http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1079993

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.M0axm6
+ umask 022
+ cd /builddir/build/BUILD
+ cd cmocka-0.3.0
+ pushd build
~/build/BUILD/cmocka-0.3.0/build ~/build/BUILD/cmocka-0.3.0
+ make test
Running tests...
/usr/bin/ctest --force-new-ctest-process 
Test project /builddir/build/BUILD/cmocka-0.3.0/build
    Start 1: calculator_test
1/9 Test #1: calculator_test ..................   Passed    0.01 sec
    Start 2: allocate_module_test
2/9 Test #2: allocate_module_test .............   Passed    0.00 sec
    Start 3: assert_macro_test
3/9 Test #3: assert_macro_test ................   Passed    0.00 sec
    Start 4: assert_module_test
4/9 Test #4: assert_module_test ...............   Passed    0.00 sec
    Start 5: customer_database_test
5/9 Test #5: customer_database_test ...........***Failed    0.00 sec
    Start 6: key_value_test
6/9 Test #6: key_value_test ...................   Passed    0.00 sec
    Start 7: product_database_test
7/9 Test #7: product_database_test ............   Passed    0.00 sec
    Start 8: run_tests
8/9 Test #8: run_tests ........................   Passed    0.00 sec
    Start 9: waiter_test_wrap
9/9 Test #9: waiter_test_wrap .................   Passed    0.00 sec
89% tests passed, 1 tests failed out of 9
Total Test time (real) =   0.03 sec
The following tests FAILED:
	  5 - customer_database_test (Failed)
Errors while running CTest
make: *** [test] Error 8
Comment 2 Andreas Schneider 2013-06-17 10:59:47 EDT
Could you attach 'Testing/Temporary/LastTest.log' from the build directory? Maybe we should remove the test it is really not a good example ...
Comment 3 Dan Horák 2013-06-17 11:16:58 EDT
Created attachment 762070 [details]
test log
Comment 4 Fedora Update System 2013-07-10 10:00:58 EDT
cmocka-0.3.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmocka-0.3.1-1.fc19
Comment 5 Fedora Update System 2013-07-10 10:08:22 EDT
cmocka-0.3.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cmocka-0.3.1-1.fc18
Comment 6 Fedora Update System 2013-07-11 23:01:13 EDT
Package cmocka-0.3.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmocka-0.3.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12778/cmocka-0.3.1-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-22 21:02:48 EDT
cmocka-0.3.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-07-22 21:03:26 EDT
cmocka-0.3.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.